/* $Cambridge: hermes/src/prayer/accountd/log.h,v 1.1.1.1 2003/04/15 13:00:03 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2002 */
/* See the file NOTICE for conditions of use and distribution. */

/* External Interfere Prototypes for log.c */

void log_init(struct config *config, char *progname);

unsigned long log_entry_size(char *fmt, va_list ap);

void log_syslog_ap(unsigned long len, char *fmt, va_list ap);

void log_panic_ap(unsigned long len, char *fmt, va_list ap);

void log_misc(char *fmt, ...);
void log_debug(char *fmt, ...);
void log_panic(char *fmt, ...);
void log_fatal(char *fmt, ...);
